# listOrders - List Mirakl Connect orders (deprecated)

Description

Use this API to synchronize Mirakl Connect orders with your system. We recommend integrating this API in asynchronous mode. You can retrieve all orders updated since the last call, and update your referential accordingly. To do so, schedule a task that calls this API using the updated_from parameter valued with the last execution time of the task.


Call Frequency

Recommended usage: Asynchronous: every 5 minutes
Maximum usage: Asynchronous: once per minute
Pagination

This resource supports seek pagination (see documentation)

Sort fields

sort field can have the following values:updated_at (Default) - Sort by date time of last order modification in Mirakl Connect (desc by default)created_at - Sort by date time the order was created on the sales channel (desc by default)

Endpoint: GET /orders
Security: Bearer

## Query parameters:

  - `order_ids` (array)
    Filter by Connect order identifiers

  - `statuses` (array)
    Filter by order statuses
    Enum: "AWAITING_FRAUD_CHECK", "AWAITING_ACCEPTANCE", "AWAITING_PAYMENT", "AWAITING_SHIPMENT", "SHIPPED", "DELIVERED", "CLOSED"

  - `updated_from` (string)
    Select orders that were last updated in Mirakl Connect from the specified date time. If omitted and no order_ids filter is provided, defaults to 30 days ago.
    Example: "2021-01-01T08:30:00Z"

  - `fulfillment_type` (string)
    Filter by fulfillment channel
    Enum: "FULFILLED_BY_SELLER", "FULFILLED_BY_PARTNER"

  - `page_token` (string)
    Token to access the next or previous page

  - `limit` (integer)
    Maximum number of listed orders

## Response 200 fields (application/json):

  - `next_page_token` (string)
    Token to access the next page. Absent if the current page is the last one.

  - `previous_page_token` (string)
    Token to access the previous page. Absent if the current page is the first one.

  - `data` (array, required)
    Page of orders corresponding to the filter parameters

  - `data.anonymized_at` (string)
    Date time the order has been anonymized. This value is null as long as the order is not anonymized.

  - `data.billing_info` (object)
    Customer billing information

  - `data.billing_info.address` (object)
    Customer billing address

  - `data.billing_info.address.additional_info` (string)
    Additional information related to the address

  - `data.billing_info.address.city` (string, required)
    City

  - `data.billing_info.address.company` (string)
    Company of the person associated with the address

  - `data.billing_info.address.country` (string)
    Country

  - `data.billing_info.address.country_iso_code` (string)
    Country ISO code

  - `data.billing_info.address.first_name` (string)
    First name of the person associated with the address

  - `data.billing_info.address.last_name` (string, required)
    Last name of the person associated with the address

  - `data.billing_info.address.phone` (string)
    Phone number of the person associated with the address

  - `data.billing_info.address.state` (string)
    State

  - `data.billing_info.address.street` (string, required)
    Street information

  - `data.billing_info.address.street_additional_info` (string)
    Additional street information

  - `data.billing_info.address.zip_code` (string)
    Postal code

  - `data.channel_order_id` (string, required)
    Order identifier on the sales channel. This identifier is not guaranteed to be unique as multiple channels can use the same identifier.

  - `data.channel_updated_at` (string)
    Date time the order was last updated on the sales channel (can differ from the modification date time in Connect).

  - `data.created_at` (string, required)
    Date time the order was created on the sales channel.

  - `data.custom_attributes` (array, required)
    Custom attributes

  - `data.custom_attributes.id` (string, required)
    Attribute's id

  - `data.custom_attributes.type` (string, required)
    The attribute's type
    Enum: "STRING", "NUMERIC", "BOOLEAN", "DATE", "LIST"

  - `data.custom_attributes.value` (object, required)

  - `data.fulfillment` (object, required)
    Fulfillment information

  - `data.fulfillment.code` (string)
    The code of the fulfillment partner when type is FULFILLED_BY_PARTNER. null when type is FULFILLED_BY_SELLER.

  - `data.fulfillment.type` (string, required)
    Indicates how an order is fulfilled.
    Enum: "FULFILLED_BY_SELLER", "FULFILLED_BY_PARTNER"

  - `data.id` (string, required)
    Unique order identifier used by Mirakl Connect. This identifier can be used as a primary key, but it must not be shared with final users.

  - `data.order_lines` (array, required)
    Information about ordered products

  - `data.order_lines.adjustments` (array, required)
    Cancelation or refund details related to an order line

  - `data.order_lines.adjustments.adjustment_id` (string, required)
    Unique adjustment identifier used by Mirakl Connect.

  - `data.order_lines.adjustments.created_at` (string, required)
    Adjustment date

  - `data.order_lines.adjustments.price` (object, required)
    Product unit price multiplied by the quantity adjusted, excluding taxes and shipping price.

  - `data.order_lines.adjustments.price.amount` (number, required)
    Price amount

  - `data.order_lines.adjustments.price.currency` (string, required)
    Currency ISO code

  - `data.order_lines.adjustments.quantity` (integer, required)
    Product quantity adjusted.

  - `data.order_lines.adjustments.reason` (string, required)
    The reason why the order line is adjusted.
    Enum: "CUSTOMER_CANCELATION", "OUT_OF_STOCK", "RETURN", "ITEM_NOT_RECEIVED", "AGREEMENT", "DEFECT", "UNABLE_TO_DELIVER", "CHANNEL_SPECIFIC"

  - `data.order_lines.adjustments.shipping_price` (object, required)
    Shipping price of the adjusted order line, excluding shipping taxes.

  - `data.order_lines.adjustments.shipping_price.amount` (number, required)
    Price amount

  - `data.order_lines.adjustments.shipping_price.currency` (string, required)
    Currency ISO code

  - `data.order_lines.adjustments.shipping_taxes` (array)
    Shipping taxes adjusted

  - `data.order_lines.adjustments.shipping_taxes.amount` (object, required)
    Adjusted tax amount

  - `data.order_lines.adjustments.shipping_taxes.amount.amount` (number, required)
    Price amount

  - `data.order_lines.adjustments.shipping_taxes.amount.currency` (string, required)
    Currency ISO code

  - `data.order_lines.adjustments.shipping_taxes.code` (string, required)
    Tax code on the sales channel

  - `data.order_lines.adjustments.taxes` (array)
    Taxes adjusted

  - `data.order_lines.adjustments.taxes.amount` (object, required)
    Adjusted tax amount

  - `data.order_lines.adjustments.taxes.amount.amount` (number, required)
    Price amount

  - `data.order_lines.adjustments.taxes.amount.currency` (string, required)
    Currency ISO code

  - `data.order_lines.adjustments.taxes.code` (string, required)
    Tax code on the sales channel

  - `data.order_lines.adjustments.type` (string, required)
    The type of adjustment.
    Enum: "REFUND", "CANCELATION"

  - `data.order_lines.adjustments.id` (string, required)
    Unique identifier by adjustment type. Deprecated, use adjustment_id instead.

  - `data.order_lines.can_cancel` (boolean, required)
    Indicate whether the order line can be cancelled

  - `data.order_lines.can_refund` (boolean, required)
    Indicate whether the order line can be refunded

  - `data.order_lines.channel_order_line_id` (string, required)
    Order line identifier on the sales channel. This identifier is not guaranteed to be unique as different channels can use the same identifier.

  - `data.order_lines.custom_attributes` (array, required)
    Custom attributes

  - `data.order_lines.custom_attributes.id` (string, required)
    Attribute's id

  - `data.order_lines.custom_attributes.type` (string, required)
    The attribute's type
    Enum: "STRING", "NUMERIC", "BOOLEAN", "DATE", "LIST"

  - `data.order_lines.custom_attributes.value` (object, required)

  - `data.order_lines.id` (string, required)
    Unique order line identifier used by Mirakl Connect. This identifier can be used as a primary key, but it must not be shared with final users.

  - `data.order_lines.price` (object, required)
    Product unit price multiplied by the ordered quantity after cancelations, excluding taxes and shipping price. Refunds and rejects are not calculated in this amount.

  - `data.order_lines.price.amount` (number, required)
    Price amount

  - `data.order_lines.price.currency` (string, required)
    Currency ISO code

  - `data.order_lines.product` (object, required)
    Product information on the sales channel

  - `data.order_lines.product.id` (string, required)
    Seller product identifier

  - `data.order_lines.product.title` (string, required)
    Product title

  - `data.order_lines.quantity` (integer, required)
    Quantity of the ordered product after cancelations. Refunds and rejects do not change this field.

  - `data.order_lines.shipping_taxes` (array, required)
    Taxes applied to shipping prices

  - `data.order_lines.shipping_taxes.amount` (object, required)
    Tax amount for a specific code after cancelations. Refunds and rejects are not calculated in this amount.

  - `data.order_lines.shipping_taxes.amount.amount` (number, required)
    Price amount

  - `data.order_lines.shipping_taxes.amount.currency` (string, required)
    Currency ISO code

  - `data.order_lines.shipping_taxes.channel_collectible` (object)
    Amount collected by the operator (marketplace facilitator).

  - `data.order_lines.shipping_taxes.channel_collectible.amount` (number, required)
    Price amount

  - `data.order_lines.shipping_taxes.channel_collectible.currency` (string, required)
    Currency ISO code

  - `data.order_lines.shipping_taxes.code` (string, required)
    Tax code on the sales channel

  - `data.order_lines.shipping_taxes.rate` (number)
    Tax rate

  - `data.order_lines.shipping_taxes.seller_collectible` (object)
    Amount the seller must collect and declare to tax authorities.

  - `data.order_lines.shipping_taxes.seller_collectible.amount` (number, required)
    Price amount

  - `data.order_lines.shipping_taxes.seller_collectible.currency` (string, required)
    Currency ISO code

  - `data.order_lines.status` (string, required)
    Order line status
    Enum: "AWAITING_FRAUD_CHECK", "AWAITING_ACCEPTANCE", "AWAITING_PAYMENT", "AWAITING_SHIPMENT", "SHIPPED", "DELIVERED", "CLOSED", "CHANNEL_SPECIFIC"

  - `data.order_lines.status_reason` (string)
    Additional reason about the order line status. Availability depends on the order line status.
    Enum: "REFUSED", "ACCEPTANCE_TIMEOUT", "FRAUD_CHECK_FAILED", "FRAUD_CHECK_TIMEOUT", "REFUSED_PAYMENT", "PAYMENT_TIMEOUT", "CANCELED", "REFUNDED", "AUTOMATICALLY_CLOSED"

  - `data.order_lines.taxes` (array, required)
    Taxes applied to product prices

  - `data.order_lines.taxes.amount` (object, required)
    Tax amount for a specific code after cancelations. Refunds and rejects are not calculated in this amount.

  - `data.order_lines.taxes.amount.amount` (number, required)
    Price amount

  - `data.order_lines.taxes.amount.currency` (string, required)
    Currency ISO code

  - `data.order_lines.taxes.channel_collectible` (object)
    Amount collected by the operator (marketplace facilitator).

  - `data.order_lines.taxes.channel_collectible.amount` (number, required)
    Price amount

  - `data.order_lines.taxes.channel_collectible.currency` (string, required)
    Currency ISO code

  - `data.order_lines.taxes.code` (string, required)
    Tax code on the sales channel

  - `data.order_lines.taxes.rate` (number)
    Tax rate

  - `data.order_lines.taxes.seller_collectible` (object)
    Amount the seller must collect and declare to tax authorities.

  - `data.order_lines.taxes.seller_collectible.amount` (number, required)
    Price amount

  - `data.order_lines.taxes.seller_collectible.currency` (string, required)
    Currency ISO code

  - `data.order_lines.total_shipping_price` (object, required)
    Order line shipping price after cancelations, excluding shipping taxes. Refunds and rejects are not calculated in this amount.

  - `data.order_lines.total_shipping_price.amount` (number, required)
    Price amount

  - `data.order_lines.total_shipping_price.currency` (string, required)
    Currency ISO code

  - `data.origin` (object, required)
    Sales channel information

  - `data.origin.channel_id` (string, required)
    Unique identifier of the sales channel

  - `data.origin.channel_name` (string)
    Name of the sales channel

  - `data.origin.channel_store_id` (string)
    Store identifier on the sales channel. This identifier is not guaranteed to be unique as multiple channels can use the same identifier.

  - `data.origin.channel_store_name` (string)
    Store public name on the sales channel

  - `data.origin.channel_type` (string, required)
    Type of the sales channel
    Enum: "AGENTIC", "STANDARD"

  - `data.shipping_info` (object, required)
    Customer shipping information

  - `data.shipping_info.address` (object)
    Customer shipping address

  - `data.shipping_info.address.additional_info` (string)
    Additional information related to the address

  - `data.shipping_info.address.city` (string, required)
    City

  - `data.shipping_info.address.company` (string)
    Company of the person associated with the address

  - `data.shipping_info.address.country` (string)
    Country

  - `data.shipping_info.address.country_iso_code` (string)
    Country ISO code

  - `data.shipping_info.address.first_name` (string)
    First name of the person associated with the address

  - `data.shipping_info.address.last_name` (string, required)
    Last name of the person associated with the address

  - `data.shipping_info.address.phone` (string)
    Phone number of the person associated with the address

  - `data.shipping_info.address.state` (string)
    State

  - `data.shipping_info.address.street` (string, required)
    Street information

  - `data.shipping_info.address.street_additional_info` (string)
    Additional street information

  - `data.shipping_info.address.zip_code` (string)
    Postal code

  - `data.shipping_info.carrier` (string)
    Carrier company name

  - `data.shipping_info.delivery_date` (object)
    Expected order delivery date

  - `data.shipping_info.delivery_date.earliest` (string, required)
    Earliest order delivery date

  - `data.shipping_info.delivery_date.latest` (string, required)
    Latest order delivery date

  - `data.shipping_info.email` (string)
    Customer email

  - `data.shipping_info.method` (string)
    Shipping method name on the sales channel. Shipping methods can have different names on different sales channels.

  - `data.shipping_info.pudo_id` (string)
    PickUp DropOff (PUDO) point identifier

  - `data.shipping_info.shipping_deadline` (string)
    Date time by which the store must send the order to the customer.

  - `data.status` (string, required)
    Current order status
    Enum: "AWAITING_FRAUD_CHECK", "AWAITING_ACCEPTANCE", "AWAITING_PAYMENT", "AWAITING_SHIPMENT", "SHIPPED", "DELIVERED", "CLOSED", "CHANNEL_SPECIFIC"

  - `data.status_reason` (string)
    Additional reason about the order status. Availability depends on the order status.
    Enum: "REFUSED", "ACCEPTANCE_TIMEOUT", "FRAUD_CHECK_FAILED", "FRAUD_CHECK_TIMEOUT", "REFUSED_PAYMENT", "PAYMENT_TIMEOUT", "CANCELED", "REFUNDED", "AUTOMATICALLY_CLOSED"

  - `data.updated_at` (string, required)
    Date time the order was last updated in Mirakl Connect.


